Subject: Re: [Query] Can we ignore case for commiters name in shortlog?

From: Damien Robert <[email-masked]>
Date: Fri, 30 Nov 2012 13:01:55 +0000 (UTC)

David Aguilar  wrote in message
<[email-masked]>:
> There's a feature that does exactly this.
> http://www.kernel.org/pub/software/scm/git/docs/git-shortlog.html

By the way, the mailmap ignore case which is annoying.
I have commits as [email-masked] and a dummy email
address [email-masked]. I thought that putting:

Damien Robert <[email-masked]> <[email-masked]>

in the .mailmap would unify the two adresses, but it does not:

git shortlog -se
    15  Damien Robert <[email-masked]>
    266  Damien Robert <[email-masked]>

as you can see, the Damien.Olivier.Robert+git as been lowercased to
damien.olivier.robert, so I am forced to write a mailmap like this:

Damien Robert <[email-masked]> <[email-masked]>
Damien Robert <[email-masked]> <[email-masked]>

git shortlog -se
   281  Damien Robert <[email-masked]>